%global abi 1

Summary:    An OpenGL to PostScript printing library
Name:       gl2ps
Version:    1.4.2
Release:    3%{?dist}
License:    LGPLv2+ or GL2PS
URL:        http://www.geuz.org/gl2ps/
Source0:    %{url}src/%{name}-%{version}.tgz

BuildRequires:  gcc cmake libGL-devel libpng-devel

%description
GL2PS is a C library providing high quality vector output for any OpenGL application. The main
difference between GL2PS and other similar libraries is the use of sorting algorithms capable of
handling intersecting and stretched polygons, as well as non manifold objects.  GL2PS provides
advanced smooth shading and text rendering, culling of invisible primitives, mixed vector/bitmap
output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript (EPS) and Portable Document
Format (PDF) files, as well as LaTeX files for the text fragments. Adding new vector output formats
should be relatively easy (and amongst the formats we would be interested in adding, SVG is first in
line). Meanwhile, you can use the excellent pstoedit program to transform the PostScript files
generated by GL2PS into many other vector formats such as xfig, cgm, wmf, etc.

%package devel
Summary:    Header files for GL2PS library
Requires:    %{name} = %{version}-%{release} libGL-devel

%description devel
Header files for GL2PS library.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

rm -r %{buildroot}%{_docdir}/gl2ps
rm %{buildroot}%{_libdir}/libgl2ps.a

%files
%license COPYING.GL2PS COPYING.LGPL
%doc README.txt
%{_libdir}/libgl2ps.so.%{abi}*

%files devel
%doc gl2ps.pdf gl2psTest*.c
%{_libdir}/libgl2ps.so
%{_includedir}/gl2ps.h

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Shuo Wang <abushwang@tencent.com> - 1.4.2-1
- initial build
